/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <studio/undocommand.hpp>

#include <nostalgia/gfx/palette.hpp>

namespace nostalgia::gfx {

class AddPageCommand: public studio::UndoCommand {
	private:
		Palette &m_pal;

	public:
		explicit AddPageCommand(Palette &pal) noexcept;

		~AddPageCommand() noexcept override = default;

		[[nodiscard]]
		int commandId() const noexcept final;

		ox::Error redo() noexcept final;

		ox::Error undo() noexcept final;

};

}
